Uses of Class
io.vertx.core.http.HttpServerConfig
Packages that use HttpServerConfig
Package
Description
-
Uses of HttpServerConfig in io.vertx.core
Methods in io.vertx.core with parameters of type HttpServerConfigModifier and TypeMethodDescriptiondefault HttpServerVertx.createHttpServer(HttpServerConfig config) Create an HTTP server using the specifiedconfig.default HttpServerVertx.createHttpServer(HttpServerConfig config, ServerSSLOptions sslOptions) Create an HTTP server using the specified config and the specifiedsslOptions -
Uses of HttpServerConfig in io.vertx.core.http
Methods in io.vertx.core.http that return HttpServerConfigModifier and TypeMethodDescriptionHttpServerConfig.setCompressionConfig(CompressionConfig compressionConfig) Configure the server compression, this overwrites any previously configuration.HttpServerConfig.setFormDecoderConfig(FormDecoderConfig formDecoderConfig) HttpServerConfig.setHandle100ContinueAutomatically(boolean handle100ContinueAutomatically) Set whether 100 Continue should be handled automaticallySet the host used to bind the server at, affecting both TCP and QUIC transports.HttpServerConfig.setHttp1Config(Http1ServerConfig config) Set the HTTP/1.x configuration to useHttpServerConfig.setHttp2Config(Http2ServerConfig config) Set the HTTP/2 configuration to useHttpServerConfig.setHttp3Config(Http3ServerConfig config) Set the HTTP/3 configuration to useHttpServerConfig.setIdleTimeout(Duration idleTimeout) Set the idle timeout, zero ornullmeans don't time out.HttpServerConfig.setLogConfig(LogConfig config) Configure the per stream networking logging: Netty's stream pipeline is configured for logging on Netty's logger.HttpServerConfig.setObservabilityConfig(ObservabilityConfig observabilityConfig) Set the server observability config.HttpServerConfig.setPort(int port) Set the port used to bind the server at, affecting both TCP and QUIC transports.HttpServerConfig.setQueryParamConfig(QueryParamDecoderConfig queryParamDecoderConfig) Set the configuration for parsing HTTP request query parameters.HttpServerConfig.setQuicHost(String host) Set the hostHttpServerConfig.setQuicPort(int port) Set the port used to bind the QUIC server.HttpServerConfig.setReadIdleTimeout(Duration idleTimeout) Set the read idle timeout, zero ornullmeans or null means don't time out.HttpServerConfig.setStrictThreadMode(boolean strictThreadMode) Indicates the server that the HTTP request/response interactions will happen exclusively on the expected thread when the threading model is event-loop.HttpServerConfig.setTcpHost(String host) Set the hostHttpServerConfig.setTcpPort(int port) Set the port used to bind the TCP server.HttpServerConfig.setVersions(HttpVersion... versions) Set the HTTP versions.HttpServerConfig.setVersions(Set<HttpVersion> versions) Set the HTTP versions.HttpServerConfig.setWebSocketConfig(WebSocketServerConfig webSocketConfig) Set the WebSocket protocol specific configuration.HttpServerConfig.setWriteIdleTimeout(Duration idleTimeout) Set the write idle timeout, zero ornullmeans don't time out.Methods in io.vertx.core.http with parameters of type HttpServerConfigModifier and TypeMethodDescriptionHttpServerBuilder.with(HttpServerConfig config) Configure the server.Constructors in io.vertx.core.http with parameters of type HttpServerConfig -
Uses of HttpServerConfig in io.vertx.core.spi.metrics
Methods in io.vertx.core.spi.metrics with parameters of type HttpServerConfigModifier and TypeMethodDescriptiondefault HttpServerMetrics<?, ?> VertxMetrics.createHttpServerMetrics(HttpServerConfig config, SocketAddress tcpLocalAddress, SocketAddress udpLocalAddress) Provides the http server metrics SPI when an http server is created. -
Uses of HttpServerConfig in io.vertx.reactivex.core
Methods in io.vertx.reactivex.core with parameters of type HttpServerConfigModifier and TypeMethodDescriptionVertx.createHttpServer(HttpServerConfig config) Create an HTTP server using the specifiedconfig.Vertx.createHttpServer(HttpServerConfig config, ServerSSLOptions sslOptions) Create an HTTP server using the specified config and the specifiedsslOptions -
Uses of HttpServerConfig in io.vertx.reactivex.core.http
Methods in io.vertx.reactivex.core.http with parameters of type HttpServerConfigModifier and TypeMethodDescriptionHttpServerBuilder.with(HttpServerConfig config) Configure the server. -
Uses of HttpServerConfig in io.vertx.rxjava3.core
Methods in io.vertx.rxjava3.core with parameters of type HttpServerConfigModifier and TypeMethodDescriptionVertx.createHttpServer(HttpServerConfig config) Create an HTTP server using the specifiedconfig.Vertx.createHttpServer(HttpServerConfig config, ServerSSLOptions sslOptions) Create an HTTP server using the specified config and the specifiedsslOptions -
Uses of HttpServerConfig in io.vertx.rxjava3.core.http
Methods in io.vertx.rxjava3.core.http with parameters of type HttpServerConfigModifier and TypeMethodDescriptionHttpServerBuilder.with(HttpServerConfig config) Configure the server.